data:extend(
{
  {
    type = "recipe",
    name = "missile-launcher",
    enabled = "false",
    energy_required = 15,
    ingredients =
    {
      {"iron-gear-wheel", 5},
      {"electric-engine-unit", 1},
      {"steel-plate", 10},
	  {"electronic-processing-board-2",5}
    },
    result = "missile-launcher"
  },
  {
    type = "recipe",
    name = "missile",
    enabled = "false",
    energy_required = 30,
    ingredients =
    { 
      {"explosives", 4},
	  {"tungsten-carbide",1},
	  {"electronic-processing-board-2",1},
	  {"missile-fuel",1},
    },
    result = "missile"
  },
    
  {
    type = "recipe",
    name = "missile-recycling",
	category = "crafting-with-fluid",
    enabled = "true",
    energy_required = 30,
    ingredients =
    { 
      {"missile-corpse", 1},
	  {type="fluid", name="water", amount=1},
    },
     result = "tungsten-carbide"
  },
    {
    type = "recipe",
    name = "missile-fuel",
	category = "chemistry",
    enabled = "false",
    energy_required = 60,
    ingredients =
    { 
      {type="fluid", name="ammonia", amount=12},
	  {type="fluid", name="chlorine", amount=12},
	  {type="item", name="aluminium-plate", amount=3},
	  {type="item", name="rubber", amount=2},
    },
        results = 
    {
      {type="item", name="missile-fuel", amount=5}
    }
	},
	{
    type = "recipe",
    name = "ammonia",
	category = "chemistry",
    enabled = "false",
    energy_required = 17,
    ingredients =
    { 
      {type="fluid", name="hydrogen", amount=3},
	  {type="fluid", name="nitrogen", amount=14},
    },
        results = 
    {
      {type="fluid", name="ammonia", amount=17}
    }
  }
}
)