data:extend(
{
  {
    type = "item",
    name = "missile-launcher",
    icon = "__base__/graphics/icons/gun-turret.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    place_result = "missile-launcher",
	order= "c-d-b",
    stack_size = 20
  },
  {
    type = "item",
    name = "missile-fuel",
    icon = "__Skymod-Missiles__/graphics/icons/missile-fuel.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    stack_size = 200
  },
  {
    type = "item",
    name = "missile-corpse",
    icon = "__Skymod-Missiles__/graphics/small-remnants.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
	place_result = "missile-corpse",
    stack_size = 80
  },
    {
    type = "fluid",
    name = "ammonia",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0.7, b=0.2},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__Skymod-Missiles__/graphics/icons/ammonia.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
    {
    type = "ammo",
    name = "missile",
    icon = "__Skymod-Missiles__/graphics/icons/missile.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "missile",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "missile",
          starting_speed = 0.5,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-gunshot"
          },
		  target_effects =
          {
            type = "create-entity",
            entity_name = "missile-corpse"
          },
        }
      }
    },
    subgroup = "ammo",
	order= "c-d-b",
    stack_size = 80
  }
  
  
}
)