data:extend({
  {
      type = "technology",
      name = "advanced-rocketry",
      icon = "__Skymod-Missiles__/graphics/icons/missile.png",
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "missile"
        },
        {
            type = "unlock-recipe",
            recipe = "missile-fuel"
        },
		{
            type = "unlock-recipe",
            recipe = "missile-launcher"
        },
      },
      prerequisites = {"advanced-electronics-3", "alien-technology", "tungsten-processing", "ammonia-processing","electric-engine"},
      unit =
      {
        count = 600,
		ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}},
        time = 30
      }
  },
    {
      type = "technology",
      name = "ammonia-processing",
      icon = "__Skymod-Missiles__/graphics/icons/ammonia.png",
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "ammonia"
        },
      },
      prerequisites = {"electrolysis-1", "nitrogen-processing"},
      unit =
      {
        count = 50,
		ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
        time = 15
      }
  }
})